package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bopcur;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BopcurMapper {

    Bopcur queryById(String inr);

    List<Bopcur> queryAllByLimit(Bopcur record);

    long count(Bopcur record);

    int insert(Bopcur record);

    int insertBatch(List<Bopcur> record);

    int insertOrUpdateBatch(List<Bopcur> record);

    int update(Bopcur record);

    int deleteById(String inr);

    String getBopcurVerFromInr(String inr);

    int getBopcurExist(String cod);
}
